%global pypi_name django-lifecycle
%global module_name django_lifecycle
%global commitId d2135a97e31a1455039a75a778b28522f95e2f95

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        1.0.0
Release:        2%{?dist}
Summary:        Declarative model lifecycle hooks

License:        MIT
URL:            https://github.com/rsinger86/django-lifecycle
Source0:        python-django-lifecycle-d2135a97e31a1455039a75a778b28522f95e2f95.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
django-lifecycle provides a @hook decorator as well as a base model and mixin
to add lifecycle hooks to your Django models.

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        Declarative model lifecycle hooks

Requires:       python%{python3_pkgversion}-django >= 2.0
Requires:       python%{python3_pkgversion}-packaging >= 21.0
Requires:       python%{python3_pkgversion}-urlman >= 1.2.0

Obsoletes:      python3-%{pypi_name} < %{version}-%{release}
%if 0%{?rhel} == 8
Obsoletes:      python38-%{pypi_name} < %{version}-%{release}
%endif

%description -n python%{python3_pkgversion}-%{pypi_name}
django-lifecycle provides a @hook decorator as well as a base model and mixin
to add lifecycle hooks to your Django models.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.md
%license LICENSE.md
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{module_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Aug 26 2022 Dimitri Savineau <dsavinea@redhat.com> 1.0.0-2
- Obsolete the old Python 3.8 package for smooth upgrade

* Wed Aug 24 2022 Dimitri Savineau <dsavinea@redhat.com> 1.0.0-1
- Initial release
